Subject: bug#59559: 28.1; `minibuffer-with-setup-hook' with :append

From: Drew Adams <[email-masked]>
Date: Tue, 10 Jan 2023 20:45:40 +0000

> > Maybe it would be clearer if the doc string said
> > that FUN is not evaluated but BODY is?  Yes, it
> > does say "while executing BODY", but maybe it's
> > not so obvious that FUN isn't evaluated?  Dunno.
> 
> AFAIU FUN is either a function expression or an (unquoted) list
> (:append FUN) where FUN is a function expression.
> 
> With other words, the function part is evaluated, but the list
> (:append FUN) should not be quoted (it's not evaluated).

Yes, maybe that was it.  I should have included
more info, e.g., an example to repro what I
described.

> I think clarifying that a bit would make sense.

Yes.